Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

classes/admin/linkselect.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: linkselect.php 8145 2001-11-01 12:06:23Z ce $
5 //
6 // Created on: <30-Apr-2001 18:33:53 amos>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // ** Please see the linklist.php for variables to set before including this file. **
28 // Additional dynamic variables (which are normally taken from the url):
29 // $ItemID = The id of the item which is being linked
30 // $ModuleName = The name of the module being linked from (when browsing)
31 // $Type = The name of the subtype being linked from (when browsing)
32 // $SectionID = The section currently being worked on (when browsing)
33 // $Category = The category currently visiting (when browsing)
34 // $Offset = The offset being shown (when browsing)
35 // $LinkID = The id of the link being edited
36
37 // include_once( "kernel/classes/ezhttptool.php" );
38 // include_once( "kernel/classes/ezcachefile.php" );
39
40 if ( !isset( $ClientIntlDir ) )
41 {
42 $ClientIntlDir = "kernel/classes/admin/intl/";
43 }
44 if ( !isset( $ClientRoot ) )
45 {
46 $ClientRoot = "kernel/classes/";
47 }
48
49 if ( isset( $Back ) )
50 {
51 eZHTTPTool::header( sprintf( "Location: " . $URLS["back"], $ItemID ) );
52 exit();
53 }
54 // include_once( "kernel/classes/INIFile.php" );
55
56 $ini =& eZINI::instance( 'site.ini' );
57 $Language = $ini->variable( $INIGroup, "Language" );
58 $Modules = $ini->read_array( $INIGroup, "ModuleList" );
59 $DefaultSection = $ini->variable( $INIGroup, "DefaultSectionName" );
60 $DefaultSections = $ini->read_array( $INIGroup, $DefaultSectionsName );
61
62 if ( isset( $ModuleType ) )
63 {
64 // include_once( "kernel/ezsession/classes/ezpreferences.php" );
65 $preferences = new eZPreferences();
66 $preferences->setVariable( $PreferencesSetting, $ModuleType );
67 }
68
69 // include_once( "kernel/classes/ezlinksection.php" );
70 if ( is_array( $SectionIDList ) )
71 {
72 foreach( $SectionIDList as $id )
73 {
74 $name = $SectionName[$id];
75 $section = new eZLinkSection( $id, $ClientModuleName );
76 $section->setName( $name );
77 $section->store();
78 }
79 }
80 $Funcs["delete"]( $ItemID );
81 if ( isset( $SubmitInfo ) )
82 {
83 eZHTTPTool::header( sprintf( "Location: " . $URLS["back"], $ItemID ) );
84 exit();
85 }
86
87 if ( isset( $DeleteLink ) )
88 {
89 // include_once( "kernel/classes/ezlinkitem.php" );
90 // include_once( "kernel/classes/ezlinksection.php" );
91 // include_once( "kernel/classes/ezmodulelink.php" );
92 $deleted = false;
93 if ( is_array( $DeleteLinkID ) )
94 {
95 foreach( $DeleteLinkID as $id )
96 {
97 eZLinkItem::delete( $id, $ClientModuleName );
98 $deleted = true;
99 }
100 }
101 if ( is_array( $DeleteSectionID ) )
102 {
103 $module = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID );
104 foreach( $DeleteSectionID as $id )
105 {
106 $module->removeSection( $id );
107 eZLinkSection::delete( $id, $ClientModuleName );
108 $deleted = true;
109 }
110 }
111 if ( $deleted )
112 {
113 $Funcs["delete"]( $ItemID );
114 }
115 eZHTTPTool::header( sprintf( "Location:" . $URLS["linklist"], $ItemID ) );
116 exit();
117 }
118
119 // include_once( "kernel/classes/ezmodulelink.php" );
120
121 $module_link = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID );
122 $sections =& $module_link->sections();
123
124 if ( isset( $NewSection ) or count( $sections ) == 0 )
125 {
126 // include_once( "kernel/classes/ezlinksection.php" );
127 $section = new eZLinkSection( false, $ClientModuleName );
128 $module = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID );
129 $section_count = $module->sectionCount();
130 $section_name = isset( $DefaultSections[$section_count] ) ? $DefaultSections[$section_count] : $DefaultSection;
131 $section->setName( $section_name );
132
133 $section->store();
134
135 $SectionID = $section->id();
136 $module->addSection( $section );
137
138 $Funcs["delete"]( $ItemID );
139
140 if ( isset( $NewSection ) )
141 {
142 eZHTTPTool::header( sprintf( "Location: " . $URLS["linklist"], $ItemID ) );
143 exit();
144 }
145 }
146
147 if ( !isset( $ModuleName ) or !isset( $Type ) )
148 {
149 list($ModuleName,$Type) = explode( "/", $ModuleType );
150 $module_lower = strtolower( $ModuleName );
151 if ( $Type == "" )
152 $Type = "null";
153 if ( $module_lower == "std" )
154 {
155 eZHTTPTool::header( sprintf( "Location: " . $URLS["linkselect_std"], $ItemID, $module_lower, $Type, $SectionID, $LinkID ) );
156 }
157 else
158 {
159 eZHTTPTool::header( sprintf( "Location: " . $URLS["linkselect"], $ItemID, $module_lower, $Type, $SectionID, "0", $LinkID ) );
160 }
161 exit();
162 }
163
164 // include_once( "kernel/classes/eztemplate.php" );
165 // include_once( "kernel/classes/ezlocale.php" );
166 // include_once( "kernel/classes/ezlist.php" );
167
168 $intl_dirs = array( $ClientIntlDir );
169 $php_files = array( "linkselect.php" );
170 foreach( $Modules as $module )
171 {
172 $dir = strtolower( $module ) . "/user/intl/";
173 $file = strtolower( $module ) . "/user/urlsupplier.php";
174 if ( file_exists( $file ) )
175 {
176 $intl_dirs[] = $dir;
177 $php_files[] = "urlsupplier.php";
178 }
179 }
180
181 $t = new eZTemplate( $ClientRoot . $ini->variable( $INIGroup, "AdminTemplateDir" ),
182 $intl_dirs, $Language, $php_files );
183
184 $t->set_file( "link_select_tpl", "linkselect.tpl" );
185
186 $t->set_block( "link_select_tpl", "normal_select_tpl", "normal_select" );
187 $t->set_block( "normal_select_tpl", "tree_select_tpl", "tree_select" );
188 $t->set_block( "normal_select_tpl", "url_select_tpl", "url_select" );
189 $t->set_block( "url_select_tpl", "url_selector_tpl", "url_selector" );
190 $t->set_block( "url_selector_tpl", "url_value_tpl", "url_value" );
191
192 $t->set_block( "tree_select_tpl", "category_list_tpl", "category_list" );
193 $t->set_block( "tree_select_tpl", "path_item_tpl", "path_item" );
194 $t->set_block( "path_item_tpl", "path_arrow_item_tpl", "path_arrow_item" );
195 $t->set_block( "path_item_tpl", "path_slash_item_tpl", "path_slash_item" );
196 $t->set_block( "category_list_tpl", "category_item_tpl", "category_item" );
197 $t->set_block( "category_item_tpl", "category_checkbox_item_tpl", "category_checkbox_item" );
198 $t->set_block( "category_item_tpl", "category_radio_item_tpl", "category_radio_item" );
199 $t->set_block( "tree_select_tpl", "tree_selector_tpl", "tree_selector" );
200 $t->set_block( "tree_selector_tpl", "tree_value_tpl", "tree_value" );
201
202 $t->set_block( "tree_select_tpl", "object_list_tpl", "object_list" );
203 $t->set_block( "object_list_tpl", "object_item_tpl", "object_item" );
204 $t->set_block( "object_item_tpl", "object_checkbox_item_tpl", "object_checkbox_item" );
205 $t->set_block( "object_item_tpl", "object_radio_item_tpl", "object_radio_item" );
206
207 $t->set_block( "link_select_tpl", "module_select_tpl", "module_select" );
208 $t->set_block( "module_select_tpl", "module_item_tpl", "module_item" );
209 $t->set_block( "module_select_tpl", "module_selector_tpl", "module_selector" );
210 $t->set_block( "module_selector_tpl", "module_value_tpl", "module_value" );
211
212 $t->set_var( "category_list", "" );
213 $t->set_var( "object_list", "" );
214
215 $t->set_var( "link_select_url", sprintf( $URLS["linkselect"], "", "", "", "", "", "" ) );
216 $t->set_var( "link_type_select_url", $URLS["linkselect_basic"] );
217 $t->set_var( "link_list_url", sprintf( $URLS["linklist"], "" ) );
218
219 $module = $ModuleName;
220 $type = $Type;
221
222 $t->set_var( "object_id", $ItemID );
223 $t->set_var( "module_type", "$ModuleName/$Type" );
224 $t->set_var( "category_id", $Category );
225 $t->set_var( "section_id", $SectionID );
226
227 if ( !isset( $Offset ) or !is_numeric( $Offset ) )
228 $Offset = 0;
229
230 $t->set_var( "normal_select", "" );
231 $t->set_var( "module_select", "" );
232 $t->set_var( "tree_select", "" );
233 $t->set_var( "url_select", "" );
234
235 $t->set_var( "client_name", $ClientModuleName );
236 $t->set_var( "client_type", $ClientModuleType );
237
238 // include_once( "kernel/ezsession/classes/ezpreferences.php" );
239 $preferences = new eZPreferences();
240 $LinkType = $preferences->variable( $PreferencesSetting );
241
242 if ( is_bool( $LinkType ) )
243 {
244 $LinkType = $ModuleType;
245 }
246
247 switch( $module )
248 {
249 case "std":
250 {
251 if ( $type == "url" )
252 {
253 $LinkID = $Category;
254 $t->set_var( "url_selector", "" );
255 if ( isset( $LinkID ) and is_numeric( $LinkID ) )
256 {
257 foreach( $Modules as $module )
258 {
259 $module_lower = strtolower( $module );
260 $file = $module_lower . "/user/urlsupplier.php";
261 if ( file_exists( $file ) )
262 {
263 unset( $Supplier );
264 include( $file );
265 if ( isset( $Supplier ) and get_class( $Supplier ) )
266 {
267 $module_lower = strtolower( $module );
268
269 $types =& $Supplier->urlTypes();
270 $t->set_var( "type_level", "" );
271 $t->set_var( "selected", $LinkType == $module_lower ? "selected" : "" );
272 $t->set_var( "module_select_type", $module_lower );
273 $t->set_var( "type_name", $Supplier->moduleName() );
274 $t->parse( "url_value", "url_value_tpl", true );
275 $t->set_var( "type_level", "&nbsp;" );
276 reset( $types );
277 while( list($key,$val) = each($types) )
278 {
279 $mod_type = "$module_lower/$key";
280 $t->set_var( "module_select_type", $mod_type );
281 $t->set_var( "type_name", $val );
282 $t->set_var( "selected", $LinkType == $mod_type ? "selected" : "" );
283 $t->parse( "url_value", "url_value_tpl", true );
284 }
285 $t->set_var( "url_selected", $LinkType == "std/url" ? "selected" : "" );
286 }
287 }
288 }
289 $t->parse( "url_selector", "url_selector_tpl" );
290 }
291
292 $t->set_var( "link_id", $LinkID );
293 $link = new eZLinkItem( $LinkID, $ClientModuleName );
294 $t->set_var( "url_name", $link->name() );
295 $t->set_var( "url_src", $link->url() );
296 $t->parse( "url_select", "url_select_tpl" );
297 $t->parse( "normal_select", "normal_select_tpl" );
298 }
299 else
300 {
301 $module_lower = strtolower( $module );
302 eZHTTPTool::header( sprintf( "Location: " . $URLS["linkselect"], $ItemID, $module_lower, $Type, $SectionID, "" ) );
303 exit();
304 }
305 break;
306 }
307
308 default:
309 {
310 if ( $Type == "null" )
311 {
312 $t->set_var( "module_item", "" );
313 $t->set_var( "module_selector", "" );
314 if ( isset( $LinkID ) and is_numeric( $LinkID ) )
315 {
316 foreach( $Modules as $file_module )
317 {
318 $module_lower = strtolower( $file_module );
319 $file = $module_lower . "/user/urlsupplier.php";
320 if ( file_exists( $file ) )
321 {
322 unset( $Supplier );
323 include( $file );
324 if ( isset( $Supplier ) and get_class( $Supplier ) )
325 {
326 $types =& $Supplier->urlTypes();
327 $t->set_var( "type_level", "" );
328 $t->set_var( "selected", $LinkType == $module_lower ? "selected" : "" );
329 $t->set_var( "module_type", $module_lower );
330 $t->set_var( "type_name", $Supplier->moduleName() );
331 $t->parse( "module_value", "module_value_tpl", true );
332 $t->set_var( "type_level", "&nbsp;" );
333 reset( $types );
334 while( list($key,$val) = each($types) )
335 {
336 $mod_type = "$module_lower/$key";
337 $t->set_var( "module_type", $mod_type );
338 $t->set_var( "type_name", $val );
339 $t->set_var( "selected", $LinkType == $mod_type ? "selected" : "" );
340 $t->parse( "module_value", "module_value_tpl", true );
341 }
342 $t->set_var( "url_selected", $LinkType == "std/url" ? "selected" : "" );
343 }
344 }
345 }
346 $t->parse( "module_selector", "module_selector_tpl" );
347 }
348 $file = strtolower( $module ) . "/user/urlsupplier.php";
349 if ( file_exists( $file ) )
350 {
351 unset( $Supplier );
352 include( $file );
353 if ( isset( $Supplier ) and get_class( $Supplier ) )
354 {
355 $module_lower = strtolower( $module );
356 $types =& $Supplier->urlTypes();
357 $t->set_var( "module_name", $module );
358 reset( $types );
359 while( list($key,$val) = each( $types ) )
360 {
361 $t->set_var( "module_type", $key );
362 $t->set_var( "module_type_name", $val );
363 $t->set_var( "link_select_url", sprintf( $URLS["linkselect"], $ItemID, $module, $key, $SectionID, 0, $LinkID ) );
364 $t->parse( "module_item", "module_item_tpl", true );
365 }
366 }
367 }
368 $t->parse( "module_select", "module_select_tpl" );
369 }
370 else
371 {
372 $t->set_var( "tree_selector", "" );
373 if ( isset( $LinkID ) and is_numeric( $LinkID ) )
374 {
375 $module_lower = strtolower( $module );
376 foreach( $Modules as $file_module )
377 {
378 $module_lower = strtolower( $file_module );
379 $file = $module_lower . "/user/urlsupplier.php";
380 if ( file_exists( $file ) )
381 {
382 unset( $Supplier );
383 include( $file );
384 if ( isset( $Supplier ) and get_class( $Supplier ) )
385 {
386 $types =& $Supplier->urlTypes();
387 $t->set_var( "type_level", "" );
388 $t->set_var( "selected", $LinkType == $module_lower ? "selected" : "" );
389 $t->set_var( "module_type", $module_lower );
390 $t->set_var( "type_name", $Supplier->moduleName() );
391 $t->parse( "tree_value", "tree_value_tpl", true );
392 $t->set_var( "type_level", "&nbsp;" );
393 reset( $types );
394 while( list($key,$val) = each($types) )
395 {
396 $mod_type = "$module_lower/$key";
397 $t->set_var( "module_type", $mod_type );
398 $t->set_var( "type_name", $val );
399 $t->set_var( "selected", $LinkType == $mod_type ? "selected" : "" );
400 $t->parse( "tree_value", "tree_value_tpl", true );
401 }
402 $t->set_var( "url_selected", $LinkType == "std/url" ? "selected" : "" );
403 }
404 }
405 }
406 $t->parse( "tree_selector", "tree_selector_tpl" );
407 }
408 $module_lower = strtolower( $module );
409 $file = strtolower( $module ) . "/user/urlsupplier.php";
410 if ( file_exists( $file ) )
411 {
412 unset( $Supplier );
413 include( $file );
414 if ( isset( $Supplier ) and get_class( $Supplier ) )
415 {
416 $list =& $Supplier->urlList( $type, $Category, $Offset );
417 $categories =& $list["categories"];
418 $path =& $list["path"];
419 $t->set_var( "category_item", "" );
420 $i = 0;
421 $link = false;
422 if ( isset( $LinkID ) and is_numeric( $LinkID ) )
423 {
424 $link = new eZLinkItem( $LinkID, $ClientModuleName );
425 }
426 $t->set_var( "path_item", "" );
427 $path = array_merge( array( array( "id" => 0, "name" => "{intl-root}" ) ),
428 $path );
429 $i = 0;
430 foreach( $path as $path_item )
431 {
432 $t->set_var( "path_arrow_item", "" );
433 $t->set_var( "path_slash_item", "" );
434 $url = sprintf( $URLS["linkselect"], $ItemID, $module_lower, $type, $SectionID, $path_item["id"], $LinkID );
435 $t->set_var( "path_url", $url );
436 $t->set_var( "path_name", $path_item["name"] );
437 if ( $i > 0 )
438 $t->parse( "path_slash_item", "path_slash_item_tpl" );
439 else
440 $t->parse( "path_arrow_item", "path_arrow_item_tpl" );
441 $t->parse( "path_item", "path_item_tpl", true );
442 ++$i;
443 }
444 foreach( $categories as $category )
445 {
446 $t->set_var( "category_checkbox_item", "" );
447 $t->set_var( "category_radio_item", "" );
448 $t->set_var( "td_class", ($i % 2 ) == 0 ? "bglight" : "bgdark" );
449 $category_id = $category["id"];
450 $url = sprintf( $URLS["linkselect"], $ItemID, $module_lower, $type, $SectionID, $category_id, $LinkID );
451 $t->set_var( "category_item_id", $category_id );
452 $t->set_var( "category_url", $url );
453 $t->set_var( "category_name", $category["name"] );
454 $t->set_var( "category_orig_url", $category["url"] );
455 $t->set_var( "radio_select", "selected" );
456 if ( is_a( $link, "eZLinkItem" ) and $link->url() == $category["url"] )
457 {
458 $t->set_var( "td_class", "bgcurrent" );
459 $t->set_var( "radio_select", "checked" );
460 }
461 if ( is_a( $link, "eZLinkItem" ) )
462 {
463 $t->parse( "category_radio_item", "category_radio_item_tpl" );
464 }
465 else
466 {
467 $t->parse( "category_checkbox_item", "category_checkbox_item_tpl" );
468 }
469 $t->parse( "category_item", "category_item_tpl", true );
470 ++$i;
471 }
472 if ( count( $categories ) > 0 )
473 $t->parse( "category_list", "category_list_tpl" );
474
475 $objects =& $list["items"];
476 $t->set_var( "object_item", "" );
477 $i = 0;
478 foreach( $objects as $object )
479 {
480 $t->set_var( "object_checkbox_item", "" );
481 $t->set_var( "object_radio_item", "" );
482 $t->set_var( "td_class", ($i % 2 ) == 0 ? "bglight" : "bgdark" );
483 $object_id = $object["id"];
484 $module_lower = strtolower( $module );
485 $t->set_var( "item_id", $object_id );
486 $t->set_var( "object_name", $object["name"] );
487 $t->set_var( "object_orig_url", $object["url"] );
488 $t->set_var( "radio_select", "selected" );
489 if ( is_a( $link, "eZLinkItem" ) and $link->url() == $object["url"] )
490 {
491 $t->set_var( "td_class", "bgcurrent" );
492 $t->set_var( "radio_select", "checked" );
493 }
494 if ( is_a( $link, "eZLinkItem" ) )
495 $t->parse( "object_radio_item", "object_radio_item_tpl" );
496 else
497 $t->parse( "object_checkbox_item", "object_checkbox_item_tpl" );
498 $t->parse( "object_item", "object_item_tpl", true );
499 ++$i;
500 }
501 if ( count( $objects ) > 0 )
502 $t->parse( "object_list", "object_list_tpl" );
503
504 $TotalTypes = $list["item_total_count"];
505 eZList::drawNavigator( $t, $TotalTypes, $list["max_items_shown"], $Offset, "tree_select_tpl" );
506 }
507 }
508 $t->parse( "tree_select", "tree_select_tpl" );
509 $t->parse( "normal_select", "normal_select_tpl" );
510 }
511 break;
512 }
513 }
514
515 $t->set_var( "link_id", $LinkID );
516
517 $t->set_var( "site_style", $SiteDesign );
518
519 $t->setAllStrings();
520
521 $t->pparse( "output", "link_select_tpl" );
522
523 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$i
$i
Definition: admin/adlist.php:91
$types
$types
Definition: articlepreview.php:108
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZLinkItem
Definition: ezlinkitem.php:38
eZLinkItem\delete
delete( $id=false, $module=false)
Definition: ezlinkitem.php:114
eZLinkSection
Definition: ezlinksection.php:43
eZLinkSection\delete
delete( $id=false, $module=false)
Definition: ezlinksection.php:103
eZList\drawNavigator
static drawNavigator(&$t, $total_types, $max_types, $index, $parent=false, $variables=false)
Definition: ezlist.php:401
eZModuleLink
Definition: ezmodulelink.php:65
eZPreferences
Definition: ezpreferences.php:62
eZTemplate
Definition: eztemplate.php:107
$Modules
$Modules
Definition: classes/admin/linkselect.php:58
$t
foreach( $Modules as $module) $t
Definition: classes/admin/linkselect.php:181
$intl_dirs
if(isset( $NewSection) or count( $sections)==0) if(!isset( $ModuleName) or !isset( $Type)) $intl_dirs
Definition: classes/admin/linkselect.php:168
$preferences
$preferences
Definition: classes/admin/linkselect.php:239
$module_link
if(isset( $SubmitInfo)) if(isset( $DeleteLink)) $module_link
Definition: classes/admin/linkselect.php:121
$LinkType
$LinkType
Definition: classes/admin/linkselect.php:240
$Language
$Language
Definition: classes/admin/linkselect.php:57
$type
$type
Definition: classes/admin/linkselect.php:220
$DefaultSections
$DefaultSections
Definition: classes/admin/linkselect.php:60
$php_files
$php_files
Definition: classes/admin/linkselect.php:169
$DefaultSection
$DefaultSection
Definition: classes/admin/linkselect.php:59
$ini
if(!isset( $ClientIntlDir)) if(!isset( $ClientRoot)) if(isset( $Back)) $ini
Definition: classes/admin/linkselect.php:56
$module
$module
Definition: classes/admin/linkselect.php:219
$sections
$sections
Definition: classes/admin/linkselect.php:122
$name
$name
Definition: companytypelist.php:194
$id
$id
Definition: companytypelist.php:193
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$categories
$categories
Definition: ezarticle/admin/categoryedit.php:636
$TotalTypes
$TotalTypes
Definition: ezarticle/admin/categorylist.php:247
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$ModuleName
$ModuleName
Definition: ezarticle/user/searchsupplier.php:30
$Supplier
$Supplier
Definition: ezarticle/user/urlsupplier.php:29
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$SectionID
$SectionID
Definition: ezfilemanager/user/filelist.php:46
$section
$section
Definition: ezimagecatalogue/user/categoryedit.php:393
$link
$link
Definition: ezlink/admin/attributeedit.php:49
$dir
$dir
Definition: ezsitemanager/admin/filelist.php:87
exit
exit
Definition: folder.php:81
$url
$url
Definition: messagereviewlist.php:153
$deleted
$deleted
Definition: userwithaddress.php:794
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.